<?php

namespace common\logic\User\UserProducer\Event;

use common\logic\User\UserProducer\Wrapper\UserProducerManager;
use justcoded\yii2\eventlistener\observers\ActiveRecordObserver;
use yii\db\AfterSaveEvent;

class CreditHistoryObserver extends ActiveRecordObserver
{
    public function inserted(AfterSaveEvent $event)
    {
        $creditHistory = $event->sender;
        $userProducerManager = UserProducerManager::getInstance();

        $userProducerManager->updateCredit($creditHistory);
    }
}